$.fn.clockbar = function(now) {
    var $e = $(this).addClass('clockbar');
    now = now || new Date();

    var pad = function (val) {
        return String(val + 100).substring(1);
    }, datestring = function(date) {
        return date.getFullYear() + "-" + pad(date.getMonth()+1) + "-" + pad(date.getDate()) + " " + pad(date.getHours()) + ":" + pad(date.getMinutes()) + ":" + pad(date.getSeconds());
    };

    function updateTime() {
        now.setTime(now.getTime() + 1000);
        $e.text(datestring(now));
        setTimeout(updateTime, 1000);
    }
    updateTime();
}
