$(function() {
    $("#stat-table").statTable({
        url: "export.json?resolution=d&date=last8&dense=full&dateformat=%-d/%-m",
        columns: {
            "In": "in",
            "Out": "out"
        },
        theme: {
            odd_cells: colors.green20
        }
    });
    $("#day-chart").statChart({
        url: "export.json?date=today&resolution=600&dateformat=%H:%M&dense",
        graphs: [
            {
                title: "No. of Passengers Getting On",
                keyword: "in",
                type: "smoothedLine",
                color: colors.green100
            },
            {
                title: "No. of Passengers Getting Off",
                keyword: "out",
                type: "smoothedLine",
                color: colors.teal100
            }
        ]
    });
    $("#week-chart").statChart({
        url: "export.json?date=last7&resolution=d&dateformat=%-d %b&dense=full",
        graphs: [
            {
                title: "No. of Passengers Getting On",
                keyword: "in",
                type: "column",
                color: colors.green100
            },
            {
                title: "No. of Passengers Getting Off",
                keyword: "out",
                type: "column",
                color: colors.teal100
            }
        ]
    });
});