$.fn.createVideo = function(opts) {
    var $container = $(this);
    var host = window.location.host;

    function is_ie10() {
        return window.navigator.userAgent.indexOf('MSIE ') != -1;
    }

    var $e = $("<axis-video-player/>").
        attr("data-resolution", params.ui.stream_width + "x" + params.ui.stream_height);

    if (!is_ie10()) {
        if ( params.ui.use_rtsp) {
            $e.attr("format", "rtsp");
        } else {
            $e.attr({"format": "mjpg", "mjpg-uri": "http://" + host + "/video/left.mjpg"});
        }
    } else {
        $e.attr("format", "jpg");
        $("<div>This is a static image</div>")
            .css({"position": "absolute",
                "top": "0px",
                "opacity": "0.8",
                "z-index": "100",
                "color": "yellow"})
            .prependTo($e);
    }
    $e.prependTo($container).css({
        "width": params.ui.stream_width,
        "height": params.ui.stream_height
    });
};
